<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_obj.xsd"/>
<xsd:include schemaLocation="obj_cards_list.xsd"/>
<xsd:include schemaLocation="common_obj_ip_span.xsd"/>


	<xsd:element name="ETHERNET_PORT_TYPE" type="EthernetPortType"/>
	<xsd:element name="ETHERNET_SETTINGS" type="EthernetSettingsContent"/>


	<xsd:simpleType name="EthernetPortType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="Management_1"/>
			<xsd:enumeration value="Management_2"/>
			<xsd:enumeration value="ShM"/>
			<xsd:enumeration value="Signaling_1"/>
			<xsd:enumeration value="Signaling_2"/>
			<xsd:enumeration value="Media"/>
			<xsd:enumeration value="Modem"/>
		</xsd:restriction>
	</xsd:simpleType>


	<xsd:complexType name="EthernetSettingsContent">
		<xsd:sequence>
			<xsd:element ref="SLOT_NUMBER"/>
			<xsd:element ref="PORT"/>
			<xsd:element ref="ETHERNET_PORT_TYPE"/>
			<xsd:element ref="SPEED"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>

